JmolStatusListener
Date: 2019-10-22

org.jmol.api

## Interface JmolStatusListener

- All Superinterfaces:
    JmolCallbackListener
  All Known Implementing Classes:
    GenericApplet, Jmol, Jmol, StatusListener

      public interface JmolStatusListener
      extends JmolCallbackListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `createImage(java.lang.String fileName, java.lang.String type, java.lang.Object text_or_bytes, int quality)` Starting with Jmol 11.8.RC5, for a context where the Jmol application is embedded in another application simply to send the returned message to the application.
    `java.lang.String` | `eval(java.lang.String strEval)`
    `float[][]` | `functionXY(java.lang.String functionName, int x, int y)` for isosurface FUNCTIONXY
    `float[][][]` | `functionXYZ(java.lang.String functionName, int nx, int ny, int nz)` for isosurface FUNCTIONXYZ
    `java.util.Map<java.lang.String,java.lang.Object>` | `getJSpecViewProperty(java.lang.String type)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getRegistryInfo()`
    `int[]` | `resizeInnerPanel(java.lang.String data)`
    `void` | `showUrl(java.lang.String url)`

    - ### Methods inherited from interface org.jmol.api.JmolCallbackListener

      `notifyCallback, notifyEnabled, setCallbackFunction`

- - ### Method Detail

    - #### eval

          java.lang.String eval(java.lang.String strEval)

    - #### functionXY

          float[][] functionXY(java.lang.String functionName,
                               int x,
                               int y)

      for isosurface FUNCTIONXY
      Parameters:
        `functionName` -
        `x` -
        `y` -
      Returns:
        2D array or null

    - #### functionXYZ

          float[][][] functionXYZ(java.lang.String functionName,
                                  int nx,
                                  int ny,
                                  int nz)

      for isosurface FUNCTIONXYZ
      Parameters:
        `functionName` -
        `nx` -
        `ny` -
        `nz` -
      Returns:
        3D array or null

    - #### createImage

          java.lang.String createImage(java.lang.String fileName,
                                       java.lang.String type,
                                       java.lang.Object text_or_bytes,
                                       int quality)

      Starting with Jmol 11.8.RC5, for a context where the Jmol application is embedded in another application simply to send the returned message to the application. In this way any application can have access to the WRITE command.
      Parameters:
        `fileName` -
        `type` -
        `text_or_bytes` - information or null indicates message AFTER Jmol creates the image
        `quality` -
      Returns:
        null (canceled) or a message starting with OK or an error message

    - #### getRegistryInfo

          java.util.Map<java.lang.String,java.lang.Object> getRegistryInfo()

    - #### showUrl

          void showUrl(java.lang.String url)

    - #### resizeInnerPanel

          int[] resizeInnerPanel(java.lang.String data)

    - #### getJSpecViewProperty

          java.util.Map<java.lang.String,java.lang.Object> getJSpecViewProperty(java.lang.String type)